Get Agent Capabilities
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"provider": {
"organization": "<string>",
"url": "<string>"
},
"version": "<string>",
"capabilities": {
"streaming": true,
"push_notifications": true,
"extensions": [
"<string>"
]
},
"default_input_modes": [
"<string>"
],
"default_output_modes": [
"<string>"
],
"tools": [
"<string>"
],
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"examples": [
"<string>"
]
}
],
"can_run": true,
"source_path": "<string>",
"x-veryfront-model": "<string>",
"x-veryfront-url": "<string>",
"suggestions": [
"<string>"
],
"installed_access": {
"grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
},
"runtime_readiness": {
"reason": "<string>",
"runtime_service_key": "<string>"
},
"avatar_url": "<string>"
},
"resolved_capabilities": {
"source_target": {
"target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"runtime_target": {
"target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"skills": [
{
"type": "project",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"source_path": "<string>",
"allowed_tools": [
"<string>"
]
}
],
"tools": [
{
"type": "control_plane",
"name": "<string>",
"description": "<string>",
"parameters": {}
}
],
"integrations": [
{
"id": "<string>",
"name": "<string>",
"tool_names": [
"<string>"
]
}
],
"tool_access": {
"version": 1,
"freshness": {
"resolved_at": "2023-11-07T05:31:56Z",
"valid_for_ms": 1,
"fail_closed_on_expiry": true
},
"inputs": {
"capabilities": [],
"billing": {
"collaboration_allowed": true,
"can_invite": true
},
"entitlements": {
"dedicated_runtime": true,
"custom_domains": true,
"export_apps": true
}
},
"families": [
{
"default_decision": {
"message": "<string>"
},
"action_overrides": [
{
"decision": {
"message": "<string>"
}
}
]
}
]
},
"prompts": [
{
"id": "<string>",
"name": "<string>",
"source_path": "<string>",
"description": "<string>"
}
],
"workflows": [
{
"id": "<string>",
"name": "<string>",
"target": "<string>",
"source_path": "<string>",
"schedulable": true,
"description": "<string>",
"version": "<string>",
"input_schema": {},
"output_schema": {}
}
],
"tasks": [
{
"id": "<string>",
"name": "<string>",
"target": "<string>",
"source_path": "<string>",
"schedulable": true,
"description": "<string>",
"input_schema": {},
"output_schema": {}
}
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>",
"source_only_reasons": [
"<string>"
],
"source_path": "<string>"
}Returns agent capabilities for the selected source target.
GET
/
projects
/
{project_reference}
/
agents
/
{agent_id}
/
capabilities
Get Agent Capabilities
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Provide the runtime target kind.
Available options:
main_branch, environment, preview_branch Provide the target environment id.
Provide the target branch id.
Provide the source target kind.
Available options:
project, main_branch, environment, preview_branch ⌘I